IMAGE_NAME="cjvt-python-env"  # don't change, used in backend_flask/Makefile
CNNAME="python-env"

all: build run

build:
	docker build . -t $(IMAGE_NAME)

run:
	- docker kill $(CNNAME)
	- docker rm $(CNNAME)
	docker run \
    -it \
	-v $(HOME):$(HOME) \
    -v $(MAKE_ROOT):/project \
	-w /project \
	--net host \
	--name $(CNNAME) \
	$(IMAGE_NAME) \
	/bin/bash

# --user $(shell id -u):$(shell id -g) \
# -v /home/${USER}:/home/${USER} \
# -v /etc/passwd:/etc/passwd \
# -v /etc/group:/etc/group \
